

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [CreateSchedule](API_CreateSchedule.md) 
+  [CreateScheduleGroup](API_CreateScheduleGroup.md) 
+  [DeleteSchedule](API_DeleteSchedule.md) 
+  [DeleteScheduleGroup](API_DeleteScheduleGroup.md) 
+  [GetSchedule](API_GetSchedule.md) 
+  [GetScheduleGroup](API_GetScheduleGroup.md) 
+  [ListScheduleGroups](API_ListScheduleGroups.md) 
+  [ListSchedules](API_ListSchedules.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateSchedule](API_UpdateSchedule.md) 

# CreateSchedule
<a name="API_CreateSchedule"></a>

Creates the specified schedule.

## Request Syntax
<a name="API_CreateSchedule_RequestSyntax"></a>

```
POST /schedules/Name HTTP/1.1
Content-type: application/json

{
   "ActionAfterCompletion": "string",
   "ClientToken": "string",
   "Description": "string",
   "EndDate": number,
   "FlexibleTimeWindow": { 
      "MaximumWindowInMinutes": number,
      "Mode": "string"
   },
   "GroupName": "string",
   "KmsKeyArn": "string",
   "ScheduleExpression": "string",
   "ScheduleExpressionTimezone": "string",
   "StartDate": number,
   "State": "string",
   "Target": { 
      "Arn": "string",
      "DeadLetterConfig": { 
         "Arn": "string"
      },
      "EcsParameters": { 
         "CapacityProviderStrategy": [ 
            { 
               "base": number,
               "capacityProvider": "string",
               "weight": number
            }
         ],
         "EnableECSManagedTags": boolean,
         "EnableExecuteCommand": boolean,
         "Group": "string",
         "LaunchType": "string",
         "NetworkConfiguration": { 
            "awsvpcConfiguration": { 
               "AssignPublicIp": "string",
               "SecurityGroups": [ "string" ],
               "Subnets": [ "string" ]
            }
         },
         "PlacementConstraints": [ 
            { 
               "expression": "string",
               "type": "string"
            }
         ],
         "PlacementStrategy": [ 
            { 
               "field": "string",
               "type": "string"
            }
         ],
         "PlatformVersion": "string",
         "PropagateTags": "string",
         "ReferenceId": "string",
         "Tags": [ 
            { 
               "string" : "string" 
            }
         ],
         "TaskCount": number,
         "TaskDefinitionArn": "string"
      },
      "EventBridgeParameters": { 
         "DetailType": "string",
         "Source": "string"
      },
      "Input": "string",
      "KinesisParameters": { 
         "PartitionKey": "string"
      },
      "RetryPolicy": { 
         "MaximumEventAgeInSeconds": number,
         "MaximumRetryAttempts": number
      },
      "RoleArn": "string",
      "SageMakerPipelineParameters": { 
         "PipelineParameterList": [ 
            { 
               "Name": "string",
               "Value": "string"
            }
         ]
      },
      "SqsParameters": { 
         "MessageGroupId": "string"
      }
   }
}
```

## URI Request Parameters
<a name="API_CreateSchedule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [Name](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-uri-Name"></a>
The name of the schedule that you are creating.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_CreateSchedule_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [ActionAfterCompletion](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-ActionAfterCompletion"></a>
Specifies the action that EventBridge Scheduler applies to the schedule after the schedule completes invoking the target.  
Type: String  
Valid Values: `NONE | DELETE`   
Required: No

 ** [ClientToken](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-ClientToken"></a>
 Unique, case-sensitive identifier you provide to ensure the idempotency of the request. If you do not specify a client token, EventBridge Scheduler uses a randomly generated token for the request to ensure idempotency.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-_]+`   
Required: No

 ** [Description](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-Description"></a>
The description you specify for the schedule.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 512.  
Required: No

 ** [EndDate](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-EndDate"></a>
The date, in UTC, before which the schedule can invoke its target. Depending on the schedule's recurrence expression, invocations might stop on, or before, the `EndDate` you specify. EventBridge Scheduler ignores `EndDate` for one-time schedules.  
Type: Timestamp  
Required: No

 ** [FlexibleTimeWindow](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-FlexibleTimeWindow"></a>
Allows you to configure a time window during which EventBridge Scheduler invokes the schedule.  
Type: [FlexibleTimeWindow](API_FlexibleTimeWindow.md) object  
Required: Yes

 ** [GroupName](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-GroupName"></a>
The name of the schedule group to associate with this schedule. If you omit this, the default schedule group is used.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: No

 ** [KmsKeyArn](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-KmsKeyArn"></a>
The Amazon Resource Name (ARN) for the customer managed KMS key that EventBridge Scheduler will use to encrypt and decrypt your data.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `arn:aws(-[a-z]+)?:kms:[a-z0-9\-]+:\d{12}:(key|alias)\/[0-9a-zA-Z-_]*`   
Required: No

 ** [ScheduleExpression](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-ScheduleExpression"></a>
 The expression that defines when the schedule runs. The following formats are supported.   
+  `at` expression - `at(yyyy-mm-ddThh:mm:ss)` 
+  `rate` expression - `rate(value unit)` 
+  `cron` expression - `cron(fields)` 
 You can use `at` expressions to create one-time schedules that invoke a target once, at the time and in the time zone, that you specify. You can use `rate` and `cron` expressions to create recurring schedules. Rate-based schedules are useful when you want to invoke a target at regular intervals, such as every 15 minutes or every five days. Cron-based schedules are useful when you want to invoke a target periodically at a specific time, such as at 8:00 am (UTC\$10) every 1st day of the month.   
 A `cron` expression consists of six fields separated by white spaces: `(minutes hours day_of_month month day_of_week year)`.   
 A `rate` expression consists of a *value* as a positive integer, and a *unit* with the following options: `minute` \$1 `minutes` \$1 `hour` \$1 `hours` \$1 `day` \$1 `days`   
 For more information and examples, see [Schedule types on EventBridge Scheduler](https://docs.aws.amazon.com/scheduler/latest/UserGuide/schedule-types.html) in the *EventBridge Scheduler User Guide*.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Required: Yes

 ** [ScheduleExpressionTimezone](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-ScheduleExpressionTimezone"></a>
The timezone in which the scheduling expression is evaluated.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Required: No

 ** [StartDate](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-StartDate"></a>
The date, in UTC, after which the schedule can begin invoking its target. Depending on the schedule's recurrence expression, invocations might occur on, or after, the `StartDate` you specify. EventBridge Scheduler ignores `StartDate` for one-time schedules.  
Type: Timestamp  
Required: No

 ** [State](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-State"></a>
Specifies whether the schedule is enabled or disabled.  
Type: String  
Valid Values: `ENABLED | DISABLED`   
Required: No

 ** [Target](#API_CreateSchedule_RequestSyntax) **   <a name="scheduler-CreateSchedule-request-Target"></a>
The schedule's target.  
Type: [Target](API_Target.md) object  
Required: Yes

## Response Syntax
<a name="API_CreateSchedule_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ScheduleArn": "string"
}
```

## Response Elements
<a name="API_CreateSchedule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ScheduleArn](#API_CreateSchedule_ResponseSyntax) **   <a name="scheduler-CreateSchedule-response-ScheduleArn"></a>
The Amazon Resource Name (ARN) of the schedule.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1224.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule\/[0-9a-zA-Z-_.]+\/[0-9a-zA-Z-_.]+` 

## Errors
<a name="API_CreateSchedule_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request exceeds a service quota.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_CreateSchedule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/CreateSchedule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/CreateSchedule) 

# CreateScheduleGroup
<a name="API_CreateScheduleGroup"></a>

Creates the specified schedule group.

## Request Syntax
<a name="API_CreateScheduleGroup_RequestSyntax"></a>

```
POST /schedule-groups/Name HTTP/1.1
Content-type: application/json

{
   "ClientToken": "string",
   "Tags": [ 
      { 
         "Key": "string",
         "Value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreateScheduleGroup_RequestParameters"></a>

The request uses the following URI parameters.

 ** [Name](#API_CreateScheduleGroup_RequestSyntax) **   <a name="scheduler-CreateScheduleGroup-request-uri-Name"></a>
The name of the schedule group that you are creating.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_CreateScheduleGroup_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [ClientToken](#API_CreateScheduleGroup_RequestSyntax) **   <a name="scheduler-CreateScheduleGroup-request-ClientToken"></a>
 Unique, case-sensitive identifier you provide to ensure the idempotency of the request. If you do not specify a client token, EventBridge Scheduler uses a randomly generated token for the request to ensure idempotency.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-_]+`   
Required: No

 ** [Tags](#API_CreateScheduleGroup_RequestSyntax) **   <a name="scheduler-CreateScheduleGroup-request-Tags"></a>
The list of tags to associate with the schedule group.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: No

## Response Syntax
<a name="API_CreateScheduleGroup_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ScheduleGroupArn": "string"
}
```

## Response Elements
<a name="API_CreateScheduleGroup_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ScheduleGroupArn](#API_CreateScheduleGroup_ResponseSyntax) **   <a name="scheduler-CreateScheduleGroup-response-ScheduleGroupArn"></a>
The Amazon Resource Name (ARN) of the schedule group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1224.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule-group\/[0-9a-zA-Z-_.]+` 

## Errors
<a name="API_CreateScheduleGroup_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
The request exceeds a service quota.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_CreateScheduleGroup_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/CreateScheduleGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/CreateScheduleGroup) 

# DeleteSchedule
<a name="API_DeleteSchedule"></a>

Deletes the specified schedule.

## Request Syntax
<a name="API_DeleteSchedule_RequestSyntax"></a>

```
DELETE /schedules/Name?clientToken=ClientToken&groupName=GroupName HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteSchedule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ClientToken](#API_DeleteSchedule_RequestSyntax) **   <a name="scheduler-DeleteSchedule-request-uri-ClientToken"></a>
 Unique, case-sensitive identifier you provide to ensure the idempotency of the request. If you do not specify a client token, EventBridge Scheduler uses a randomly generated token for the request to ensure idempotency.   
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-_]+` 

 ** [GroupName](#API_DeleteSchedule_RequestSyntax) **   <a name="scheduler-DeleteSchedule-request-uri-GroupName"></a>
The name of the schedule group associated with this schedule. If you omit this, the default schedule group is used.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [Name](#API_DeleteSchedule_RequestSyntax) **   <a name="scheduler-DeleteSchedule-request-uri-Name"></a>
The name of the schedule to delete.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_DeleteSchedule_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteSchedule_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_DeleteSchedule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_DeleteSchedule_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_DeleteSchedule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/DeleteSchedule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/DeleteSchedule) 

# DeleteScheduleGroup
<a name="API_DeleteScheduleGroup"></a>

Deletes the specified schedule group. Deleting a schedule group results in EventBridge Scheduler deleting all schedules associated with the group. When you delete a group, it remains in a `DELETING` state until all of its associated schedules are deleted. Schedules associated with the group that are set to run while the schedule group is in the process of being deleted might continue to invoke their targets until the schedule group and its associated schedules are deleted.

**Note**  
 This operation is eventually consistent. 

## Request Syntax
<a name="API_DeleteScheduleGroup_RequestSyntax"></a>

```
DELETE /schedule-groups/Name?clientToken=ClientToken HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteScheduleGroup_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ClientToken](#API_DeleteScheduleGroup_RequestSyntax) **   <a name="scheduler-DeleteScheduleGroup-request-uri-ClientToken"></a>
 Unique, case-sensitive identifier you provide to ensure the idempotency of the request. If you do not specify a client token, EventBridge Scheduler uses a randomly generated token for the request to ensure idempotency.   
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-_]+` 

 ** [Name](#API_DeleteScheduleGroup_RequestSyntax) **   <a name="scheduler-DeleteScheduleGroup-request-uri-Name"></a>
The name of the schedule group to delete.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_DeleteScheduleGroup_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteScheduleGroup_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_DeleteScheduleGroup_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_DeleteScheduleGroup_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_DeleteScheduleGroup_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/DeleteScheduleGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/DeleteScheduleGroup) 

# GetSchedule
<a name="API_GetSchedule"></a>

Retrieves the specified schedule.

## Request Syntax
<a name="API_GetSchedule_RequestSyntax"></a>

```
GET /schedules/Name?groupName=GroupName HTTP/1.1
```

## URI Request Parameters
<a name="API_GetSchedule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [GroupName](#API_GetSchedule_RequestSyntax) **   <a name="scheduler-GetSchedule-request-uri-GroupName"></a>
The name of the schedule group associated with this schedule. If you omit this, EventBridge Scheduler assumes that the schedule is associated with the default group.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [Name](#API_GetSchedule_RequestSyntax) **   <a name="scheduler-GetSchedule-request-uri-Name"></a>
The name of the schedule to retrieve.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_GetSchedule_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetSchedule_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ActionAfterCompletion": "string",
   "Arn": "string",
   "CreationDate": number,
   "Description": "string",
   "EndDate": number,
   "FlexibleTimeWindow": { 
      "MaximumWindowInMinutes": number,
      "Mode": "string"
   },
   "GroupName": "string",
   "KmsKeyArn": "string",
   "LastModificationDate": number,
   "Name": "string",
   "ScheduleExpression": "string",
   "ScheduleExpressionTimezone": "string",
   "StartDate": number,
   "State": "string",
   "Target": { 
      "Arn": "string",
      "DeadLetterConfig": { 
         "Arn": "string"
      },
      "EcsParameters": { 
         "CapacityProviderStrategy": [ 
            { 
               "base": number,
               "capacityProvider": "string",
               "weight": number
            }
         ],
         "EnableECSManagedTags": boolean,
         "EnableExecuteCommand": boolean,
         "Group": "string",
         "LaunchType": "string",
         "NetworkConfiguration": { 
            "awsvpcConfiguration": { 
               "AssignPublicIp": "string",
               "SecurityGroups": [ "string" ],
               "Subnets": [ "string" ]
            }
         },
         "PlacementConstraints": [ 
            { 
               "expression": "string",
               "type": "string"
            }
         ],
         "PlacementStrategy": [ 
            { 
               "field": "string",
               "type": "string"
            }
         ],
         "PlatformVersion": "string",
         "PropagateTags": "string",
         "ReferenceId": "string",
         "Tags": [ 
            { 
               "string" : "string" 
            }
         ],
         "TaskCount": number,
         "TaskDefinitionArn": "string"
      },
      "EventBridgeParameters": { 
         "DetailType": "string",
         "Source": "string"
      },
      "Input": "string",
      "KinesisParameters": { 
         "PartitionKey": "string"
      },
      "RetryPolicy": { 
         "MaximumEventAgeInSeconds": number,
         "MaximumRetryAttempts": number
      },
      "RoleArn": "string",
      "SageMakerPipelineParameters": { 
         "PipelineParameterList": [ 
            { 
               "Name": "string",
               "Value": "string"
            }
         ]
      },
      "SqsParameters": { 
         "MessageGroupId": "string"
      }
   }
}
```

## Response Elements
<a name="API_GetSchedule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ActionAfterCompletion](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-ActionAfterCompletion"></a>
Indicates the action that EventBridge Scheduler applies to the schedule after the schedule completes invoking the target.  
Type: String  
Valid Values: `NONE | DELETE` 

 ** [Arn](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-Arn"></a>
The Amazon Resource Name (ARN) of the schedule.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1224.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule\/[0-9a-zA-Z-_.]+\/[0-9a-zA-Z-_.]+` 

 ** [CreationDate](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-CreationDate"></a>
The time at which the schedule was created.  
Type: Timestamp

 ** [Description](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-Description"></a>
The description of the schedule.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 512.

 ** [EndDate](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-EndDate"></a>
The date, in UTC, before which the schedule can invoke its target. Depending on the schedule's recurrence expression, invocations might stop on, or before, the `EndDate` you specify. EventBridge Scheduler ignores `EndDate` for one-time schedules.  
Type: Timestamp

 ** [FlexibleTimeWindow](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-FlexibleTimeWindow"></a>
Allows you to configure a time window during which EventBridge Scheduler invokes the schedule.  
Type: [FlexibleTimeWindow](API_FlexibleTimeWindow.md) object

 ** [GroupName](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-GroupName"></a>
The name of the schedule group associated with this schedule.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [KmsKeyArn](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-KmsKeyArn"></a>
The ARN for a customer managed KMS Key that is be used to encrypt and decrypt your data.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `arn:aws(-[a-z]+)?:kms:[a-z0-9\-]+:\d{12}:(key|alias)\/[0-9a-zA-Z-_]*` 

 ** [LastModificationDate](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-LastModificationDate"></a>
The time at which the schedule was last modified.  
Type: Timestamp

 ** [Name](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-Name"></a>
The name of the schedule.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [ScheduleExpression](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-ScheduleExpression"></a>
 The expression that defines when the schedule runs. The following formats are supported.   
+  `at` expression - `at(yyyy-mm-ddThh:mm:ss)` 
+  `rate` expression - `rate(value unit)` 
+  `cron` expression - `cron(fields)` 
 You can use `at` expressions to create one-time schedules that invoke a target once, at the time and in the time zone, that you specify. You can use `rate` and `cron` expressions to create recurring schedules. Rate-based schedules are useful when you want to invoke a target at regular intervals, such as every 15 minutes or every five days. Cron-based schedules are useful when you want to invoke a target periodically at a specific time, such as at 8:00 am (UTC\$10) every 1st day of the month.   
 A `cron` expression consists of six fields separated by white spaces: `(minutes hours day_of_month month day_of_week year)`.   
 A `rate` expression consists of a *value* as a positive integer, and a *unit* with the following options: `minute` \$1 `minutes` \$1 `hour` \$1 `hours` \$1 `day` \$1 `days`   
 For more information and examples, see [Schedule types on EventBridge Scheduler](https://docs.aws.amazon.com/scheduler/latest/UserGuide/schedule-types.html) in the *EventBridge Scheduler User Guide*.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.

 ** [ScheduleExpressionTimezone](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-ScheduleExpressionTimezone"></a>
The timezone in which the scheduling expression is evaluated.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.

 ** [StartDate](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-StartDate"></a>
The date, in UTC, after which the schedule can begin invoking its target. Depending on the schedule's recurrence expression, invocations might occur on, or after, the `StartDate` you specify. EventBridge Scheduler ignores `StartDate` for one-time schedules.  
Type: Timestamp

 ** [State](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-State"></a>
Specifies whether the schedule is enabled or disabled.  
Type: String  
Valid Values: `ENABLED | DISABLED` 

 ** [Target](#API_GetSchedule_ResponseSyntax) **   <a name="scheduler-GetSchedule-response-Target"></a>
The schedule target.  
Type: [Target](API_Target.md) object

## Errors
<a name="API_GetSchedule_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetSchedule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/GetSchedule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/GetSchedule) 

# GetScheduleGroup
<a name="API_GetScheduleGroup"></a>

Retrieves the specified schedule group.

## Request Syntax
<a name="API_GetScheduleGroup_RequestSyntax"></a>

```
GET /schedule-groups/Name HTTP/1.1
```

## URI Request Parameters
<a name="API_GetScheduleGroup_RequestParameters"></a>

The request uses the following URI parameters.

 ** [Name](#API_GetScheduleGroup_RequestSyntax) **   <a name="scheduler-GetScheduleGroup-request-uri-Name"></a>
The name of the schedule group to retrieve.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_GetScheduleGroup_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetScheduleGroup_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Arn": "string",
   "CreationDate": number,
   "LastModificationDate": number,
   "Name": "string",
   "State": "string"
}
```

## Response Elements
<a name="API_GetScheduleGroup_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Arn](#API_GetScheduleGroup_ResponseSyntax) **   <a name="scheduler-GetScheduleGroup-response-Arn"></a>
The Amazon Resource Name (ARN) of the schedule group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1224.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule-group\/[0-9a-zA-Z-_.]+` 

 ** [CreationDate](#API_GetScheduleGroup_ResponseSyntax) **   <a name="scheduler-GetScheduleGroup-response-CreationDate"></a>
The time at which the schedule group was created.  
Type: Timestamp

 ** [LastModificationDate](#API_GetScheduleGroup_ResponseSyntax) **   <a name="scheduler-GetScheduleGroup-response-LastModificationDate"></a>
The time at which the schedule group was last modified.  
Type: Timestamp

 ** [Name](#API_GetScheduleGroup_ResponseSyntax) **   <a name="scheduler-GetScheduleGroup-response-Name"></a>
The name of the schedule group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [State](#API_GetScheduleGroup_ResponseSyntax) **   <a name="scheduler-GetScheduleGroup-response-State"></a>
Specifies the state of the schedule group.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_GetScheduleGroup_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetScheduleGroup_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/GetScheduleGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/GetScheduleGroup) 

# ListScheduleGroups
<a name="API_ListScheduleGroups"></a>

Returns a paginated list of your schedule groups.

## Request Syntax
<a name="API_ListScheduleGroups_RequestSyntax"></a>

```
GET /schedule-groups?MaxResults=MaxResults&NamePrefix=NamePrefix&NextToken=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListScheduleGroups_RequestParameters"></a>

The request uses the following URI parameters.

 ** [MaxResults](#API_ListScheduleGroups_RequestSyntax) **   <a name="scheduler-ListScheduleGroups-request-uri-MaxResults"></a>
If specified, limits the number of results returned by this operation. The operation also returns a `NextToken` which you can use in a subsequent operation to retrieve the next set of results.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [NamePrefix](#API_ListScheduleGroups_RequestSyntax) **   <a name="scheduler-ListScheduleGroups-request-uri-NamePrefix"></a>
The name prefix that you can use to return a filtered list of your schedule groups.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [NextToken](#API_ListScheduleGroups_RequestSyntax) **   <a name="scheduler-ListScheduleGroups-request-uri-NextToken"></a>
The token returned by a previous call to retrieve the next set of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Request Body
<a name="API_ListScheduleGroups_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListScheduleGroups_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "ScheduleGroups": [ 
      { 
         "Arn": "string",
         "CreationDate": number,
         "LastModificationDate": number,
         "Name": "string",
         "State": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListScheduleGroups_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [NextToken](#API_ListScheduleGroups_ResponseSyntax) **   <a name="scheduler-ListScheduleGroups-response-NextToken"></a>
Indicates whether there are additional results to retrieve. If the value is null, there are no more results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

 ** [ScheduleGroups](#API_ListScheduleGroups_ResponseSyntax) **   <a name="scheduler-ListScheduleGroups-response-ScheduleGroups"></a>
The schedule groups that match the specified criteria.  
Type: Array of [ScheduleGroupSummary](API_ScheduleGroupSummary.md) objects

## Errors
<a name="API_ListScheduleGroups_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListScheduleGroups_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/ListScheduleGroups) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/ListScheduleGroups) 

# ListSchedules
<a name="API_ListSchedules"></a>

Returns a paginated list of your EventBridge Scheduler schedules.

## Request Syntax
<a name="API_ListSchedules_RequestSyntax"></a>

```
GET /schedules?MaxResults=MaxResults&NamePrefix=NamePrefix&NextToken=NextToken&ScheduleGroup=GroupName&State=State HTTP/1.1
```

## URI Request Parameters
<a name="API_ListSchedules_RequestParameters"></a>

The request uses the following URI parameters.

 ** [GroupName](#API_ListSchedules_RequestSyntax) **   <a name="scheduler-ListSchedules-request-uri-GroupName"></a>
If specified, only lists the schedules whose associated schedule group matches the given filter.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [MaxResults](#API_ListSchedules_RequestSyntax) **   <a name="scheduler-ListSchedules-request-uri-MaxResults"></a>
If specified, limits the number of results returned by this operation. The operation also returns a `NextToken` which you can use in a subsequent operation to retrieve the next set of results.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [NamePrefix](#API_ListSchedules_RequestSyntax) **   <a name="scheduler-ListSchedules-request-uri-NamePrefix"></a>
Schedule name prefix to return the filtered list of resources.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+` 

 ** [NextToken](#API_ListSchedules_RequestSyntax) **   <a name="scheduler-ListSchedules-request-uri-NextToken"></a>
The token returned by a previous call to retrieve the next set of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.

 ** [State](#API_ListSchedules_RequestSyntax) **   <a name="scheduler-ListSchedules-request-uri-State"></a>
If specified, only lists the schedules whose current state matches the given filter.  
Valid Values: `ENABLED | DISABLED` 

## Request Body
<a name="API_ListSchedules_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListSchedules_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "Schedules": [ 
      { 
         "Arn": "string",
         "CreationDate": number,
         "GroupName": "string",
         "LastModificationDate": number,
         "Name": "string",
         "State": "string",
         "Target": { 
            "Arn": "string"
         }
      }
   ]
}
```

## Response Elements
<a name="API_ListSchedules_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [NextToken](#API_ListSchedules_ResponseSyntax) **   <a name="scheduler-ListSchedules-response-NextToken"></a>
Indicates whether there are additional results to retrieve. If the value is null, there are no more results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

 ** [Schedules](#API_ListSchedules_ResponseSyntax) **   <a name="scheduler-ListSchedules-response-Schedules"></a>
The schedules that match the specified criteria.  
Type: Array of [ScheduleSummary](API_ScheduleSummary.md) objects

## Errors
<a name="API_ListSchedules_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListSchedules_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/ListSchedules) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/ListSchedules) 

# ListTagsForResource
<a name="API_ListTagsForResource"></a>

Lists the tags associated with the Scheduler resource.

## Request Syntax
<a name="API_ListTagsForResource_RequestSyntax"></a>

```
GET /tags/ResourceArn HTTP/1.1
```

## URI Request Parameters
<a name="API_ListTagsForResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ResourceArn](#API_ListTagsForResource_RequestSyntax) **   <a name="scheduler-ListTagsForResource-request-uri-ResourceArn"></a>
The ARN of the EventBridge Scheduler resource for which you want to view tags.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule-group\/[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_ListTagsForResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListTagsForResource_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Tags": [ 
      { 
         "Key": "string",
         "Value": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListTagsForResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Tags](#API_ListTagsForResource_ResponseSyntax) **   <a name="scheduler-ListTagsForResource-response-Tags"></a>
The list of tags associated with the specified resource.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.

## Errors
<a name="API_ListTagsForResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListTagsForResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/ListTagsForResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/ListTagsForResource) 

# TagResource
<a name="API_TagResource"></a>

Assigns one or more tags (key-value pairs) to the specified EventBridge Scheduler resource. You can only assign tags to schedule groups.

## Request Syntax
<a name="API_TagResource_RequestSyntax"></a>

```
POST /tags/ResourceArn HTTP/1.1
Content-type: application/json

{
   "Tags": [ 
      { 
         "Key": "string",
         "Value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_TagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ResourceArn](#API_TagResource_RequestSyntax) **   <a name="scheduler-TagResource-request-uri-ResourceArn"></a>
The Amazon Resource Name (ARN) of the schedule group that you are adding tags to.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule-group\/[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_TagResource_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [Tags](#API_TagResource_RequestSyntax) **   <a name="scheduler-TagResource-request-Tags"></a>
The list of tags to associate with the schedule group.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: Yes

## Response Syntax
<a name="API_TagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_TagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_TagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_TagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/TagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/TagResource) 

# UntagResource
<a name="API_UntagResource"></a>

Removes one or more tags from the specified EventBridge Scheduler schedule group.

## Request Syntax
<a name="API_UntagResource_RequestSyntax"></a>

```
DELETE /tags/ResourceArn?TagKeys=TagKeys HTTP/1.1
```

## URI Request Parameters
<a name="API_UntagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ResourceArn](#API_UntagResource_RequestSyntax) **   <a name="scheduler-UntagResource-request-uri-ResourceArn"></a>
The Amazon Resource Name (ARN) of the schedule group from which you are removing tags.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule-group\/[0-9a-zA-Z-_.]+`   
Required: Yes

 ** [TagKeys](#API_UntagResource_RequestSyntax) **   <a name="scheduler-UntagResource-request-uri-TagKeys"></a>
The list of tag keys to remove from the resource.  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Required: Yes

## Request Body
<a name="API_UntagResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_UntagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_UntagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_UntagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_UntagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/UntagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/UntagResource) 

# UpdateSchedule
<a name="API_UpdateSchedule"></a>

 Updates the specified schedule. When you call `UpdateSchedule`, EventBridge Scheduler uses all values, including empty values, specified in the request and overrides the existing schedule. This is by design. This means that if you do not set an optional field in your request, that field will be set to its system-default value after the update. 

 Before calling this operation, we recommend that you call the `GetSchedule` API operation and make a note of all optional parameters for your `UpdateSchedule` call. 

## Request Syntax
<a name="API_UpdateSchedule_RequestSyntax"></a>

```
PUT /schedules/Name HTTP/1.1
Content-type: application/json

{
   "ActionAfterCompletion": "string",
   "ClientToken": "string",
   "Description": "string",
   "EndDate": number,
   "FlexibleTimeWindow": { 
      "MaximumWindowInMinutes": number,
      "Mode": "string"
   },
   "GroupName": "string",
   "KmsKeyArn": "string",
   "ScheduleExpression": "string",
   "ScheduleExpressionTimezone": "string",
   "StartDate": number,
   "State": "string",
   "Target": { 
      "Arn": "string",
      "DeadLetterConfig": { 
         "Arn": "string"
      },
      "EcsParameters": { 
         "CapacityProviderStrategy": [ 
            { 
               "base": number,
               "capacityProvider": "string",
               "weight": number
            }
         ],
         "EnableECSManagedTags": boolean,
         "EnableExecuteCommand": boolean,
         "Group": "string",
         "LaunchType": "string",
         "NetworkConfiguration": { 
            "awsvpcConfiguration": { 
               "AssignPublicIp": "string",
               "SecurityGroups": [ "string" ],
               "Subnets": [ "string" ]
            }
         },
         "PlacementConstraints": [ 
            { 
               "expression": "string",
               "type": "string"
            }
         ],
         "PlacementStrategy": [ 
            { 
               "field": "string",
               "type": "string"
            }
         ],
         "PlatformVersion": "string",
         "PropagateTags": "string",
         "ReferenceId": "string",
         "Tags": [ 
            { 
               "string" : "string" 
            }
         ],
         "TaskCount": number,
         "TaskDefinitionArn": "string"
      },
      "EventBridgeParameters": { 
         "DetailType": "string",
         "Source": "string"
      },
      "Input": "string",
      "KinesisParameters": { 
         "PartitionKey": "string"
      },
      "RetryPolicy": { 
         "MaximumEventAgeInSeconds": number,
         "MaximumRetryAttempts": number
      },
      "RoleArn": "string",
      "SageMakerPipelineParameters": { 
         "PipelineParameterList": [ 
            { 
               "Name": "string",
               "Value": "string"
            }
         ]
      },
      "SqsParameters": { 
         "MessageGroupId": "string"
      }
   }
}
```

## URI Request Parameters
<a name="API_UpdateSchedule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [Name](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-uri-Name"></a>
The name of the schedule that you are updating.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: Yes

## Request Body
<a name="API_UpdateSchedule_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [ActionAfterCompletion](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-ActionAfterCompletion"></a>
Specifies the action that EventBridge Scheduler applies to the schedule after the schedule completes invoking the target.  
Type: String  
Valid Values: `NONE | DELETE`   
Required: No

 ** [ClientToken](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-ClientToken"></a>
 Unique, case-sensitive identifier you provide to ensure the idempotency of the request. If you do not specify a client token, EventBridge Scheduler uses a randomly generated token for the request to ensure idempotency.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-_]+`   
Required: No

 ** [Description](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-Description"></a>
The description you specify for the schedule.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 512.  
Required: No

 ** [EndDate](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-EndDate"></a>
The date, in UTC, before which the schedule can invoke its target. Depending on the schedule's recurrence expression, invocations might stop on, or before, the `EndDate` you specify. EventBridge Scheduler ignores `EndDate` for one-time schedules.  
Type: Timestamp  
Required: No

 ** [FlexibleTimeWindow](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-FlexibleTimeWindow"></a>
Allows you to configure a time window during which EventBridge Scheduler invokes the schedule.  
Type: [FlexibleTimeWindow](API_FlexibleTimeWindow.md) object  
Required: Yes

 ** [GroupName](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-GroupName"></a>
The name of the schedule group with which the schedule is associated. You must provide this value in order for EventBridge Scheduler to find the schedule you want to update. If you omit this value, EventBridge Scheduler assumes the group is associated to the default group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-zA-Z-_.]+`   
Required: No

 ** [KmsKeyArn](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-KmsKeyArn"></a>
The ARN for the customer managed KMS key that that you want EventBridge Scheduler to use to encrypt and decrypt your data.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `arn:aws(-[a-z]+)?:kms:[a-z0-9\-]+:\d{12}:(key|alias)\/[0-9a-zA-Z-_]*`   
Required: No

 ** [ScheduleExpression](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-ScheduleExpression"></a>
 The expression that defines when the schedule runs. The following formats are supported.   
+  `at` expression - `at(yyyy-mm-ddThh:mm:ss)` 
+  `rate` expression - `rate(value unit)` 
+  `cron` expression - `cron(fields)` 
 You can use `at` expressions to create one-time schedules that invoke a target once, at the time and in the time zone, that you specify. You can use `rate` and `cron` expressions to create recurring schedules. Rate-based schedules are useful when you want to invoke a target at regular intervals, such as every 15 minutes or every five days. Cron-based schedules are useful when you want to invoke a target periodically at a specific time, such as at 8:00 am (UTC\$10) every 1st day of the month.   
 A `cron` expression consists of six fields separated by white spaces: `(minutes hours day_of_month month day_of_week year)`.   
 A `rate` expression consists of a *value* as a positive integer, and a *unit* with the following options: `minute` \$1 `minutes` \$1 `hour` \$1 `hours` \$1 `day` \$1 `days`   
 For more information and examples, see [Schedule types on EventBridge Scheduler](https://docs.aws.amazon.com/scheduler/latest/UserGuide/schedule-types.html) in the *EventBridge Scheduler User Guide*.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Required: Yes

 ** [ScheduleExpressionTimezone](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-ScheduleExpressionTimezone"></a>
The timezone in which the scheduling expression is evaluated.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Required: No

 ** [StartDate](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-StartDate"></a>
The date, in UTC, after which the schedule can begin invoking its target. Depending on the schedule's recurrence expression, invocations might occur on, or after, the `StartDate` you specify. EventBridge Scheduler ignores `StartDate` for one-time schedules.  
Type: Timestamp  
Required: No

 ** [State](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-State"></a>
Specifies whether the schedule is enabled or disabled.  
Type: String  
Valid Values: `ENABLED | DISABLED`   
Required: No

 ** [Target](#API_UpdateSchedule_RequestSyntax) **   <a name="scheduler-UpdateSchedule-request-Target"></a>
The schedule target. You can use this operation to change the target that your schedule invokes.  
Type: [Target](API_Target.md) object  
Required: Yes

## Response Syntax
<a name="API_UpdateSchedule_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ScheduleArn": "string"
}
```

## Response Elements
<a name="API_UpdateSchedule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ScheduleArn](#API_UpdateSchedule_ResponseSyntax) **   <a name="scheduler-UpdateSchedule-response-ScheduleArn"></a>
The Amazon Resource Name (ARN) of the schedule that you updated.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1224.  
Pattern: `arn:aws(-[a-z]+)?:scheduler:[a-z0-9\-]+:\d{12}:schedule\/[0-9a-zA-Z-_.]+\/[0-9a-zA-Z-_.]+` 

## Errors
<a name="API_UpdateSchedule_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
Unexpected error encountered while processing the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_UpdateSchedule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/scheduler-2021-06-30/UpdateSchedule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/scheduler-2021-06-30/UpdateSchedule) 